
Testing - Bug # 479

Status: Resolved Priority: Should have
Author: Jochen Rau Category:
Created: 2008-04-24 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
Subject: Unnecessary slash added to path in F3_Testing_Model_TestCaseRepository.php
Description

The line

$testsPath = $package->getPackagePath() . '/Tests/';

in the method "getTestcaseFilenames" of class "3_Testing_Model_TestCaseRepository.php" should be

$testsPath = $package->getPackagePath() . 'Tests/';

as the leading slash was already added in the line

$availablePackagesArr[$filename] = new F3_FLOW3_Package_Package($filename, ($packagesDirectoryIterator->getPathName() .
'/'));

in the method "scanAvailablePackages()" of class "F3_FLOW3_Package_Manager.php".

-- Jochen

Associated revisions
Revision 0b527403 - 2008-05-08 23:46 - Karsten Dambekalns

Fixed issue #479.

History
#1 - 2008-05-08 23:43 - Robert Lemke
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Estimated time set to 0.00

#2 - 2008-05-08 23:51 - Robert Lemke
- Status changed from Accepted to Resolved

Fixed in r812

Files
F3_Testing_Model_TestCaseRepository.patch 773 Bytes 2008-04-24 Jochen Rau
